From 3dd9f12c852c0b1b4037a362d00578abaf8fe320 Mon Sep 17 00:00:00 2001
From: Kedar Sovani <kedars@marvell.com>
Date: Tue, 13 Jan 2009 11:12:32 +0530
Subject: [PATCH] pciutils: Include arm support.
 Signed-off-by: Kedar Sovani <kedars@marvell.com>

---
 pciutils-3.0.2-arm.patch |   20 ++++++++++++++++++++
 pciutils.spec            |    4 +++-
 2 files changed, 23 insertions(+), 1 deletions(-)
 create mode 100755 pciutils-3.0.2-arm.patch

diff --git a/pciutils-3.0.2-arm.patch b/pciutils-3.0.2-arm.patch
new file mode 100755
index 0000000..eaab411
--- /dev/null
+++ b/pciutils-3.0.2-arm.patch
@@ -0,0 +1,20 @@
+--- pciutils-3.0.2/lib/configure	2009-01-11 19:35:29.000000000 -0500
++++ pciutils-3.0.2.orig/lib/configure	2009-01-11 19:35:06.000000000 -0500
+@@ -26,7 +26,7 @@ if [ -z "$HOST" ] ; then
+ 		proc=`/usr/sbin/lsdev -C -c processor -S available -F name | head -1`
+ 		cpu=`/usr/sbin/lsattr -F value -l $proc -a type | sed 's/_.*//'`
+ 	else
+-		cpu=`uname -m | sed 's/^i.86$/i386/;s/^sun4u$/sparc64/;s/^i86pc$/i386/'`
++		cpu=`uname -m | sed 's/^i.86$/i386/;s/^arm.*/arm/;s/^sun4u$/sparc64/;s/^i86pc$/i386/'`
+ 	fi
+ 	if [ "$sys" = "GNU/kFreeBSD" -o "$sys" = "DragonFly" ]
+ 	then
+@@ -57,6 +57,8 @@ cat >$c <<EOF
+ #elif defined(__i386__)
+ #define PCI_ARCH_I386
+ #define PCI_HAVE_PM_INTEL_CONF
++#elif defined(__arm__)
++#define PCI_ARCH_ARM
+ #elif defined(__ppc64__) || defined(__powerpc64__)
+ #define PCI_ARCH_PPC64
+ #elif defined(__ppc__)  || defined(__powerpc__)
diff --git a/pciutils.spec b/pciutils.spec
index 5db2b03..80e0e1c 100644
--- a/pciutils.spec
+++ b/pciutils.spec
@@ -1,6 +1,6 @@
 Name:		pciutils
 Version:	3.0.2
-Release: 	1%{?dist}
+Release: 	1%{?dist}.fa1
 Source:		ftp://atrey.karlin.mff.cuni.cz/pub/linux/pci/%{name}-%{version}.tar.gz
 Patch1: 	pciutils-2.2.4-buf.patch
 Patch2:		pciutils-2.1.10-scan.patch
@@ -11,6 +11,7 @@ Patch8: 	pciutils-3.0.2-multilib.patch
 Patch9: 	pciutils-dir-d.patch
 Patch10:	pciutils-2.2.10-sparc-support.patch
 Patch11:	pciutils-3.0.1-superh-support.patch
+Patch12:	pciutils-3.0.2-arm.patch
 License:	GPLv2+
 URL:		http://atrey.karlin.mff.cuni.cz/~mj/pciutils.shtml
 BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
@@ -54,6 +55,7 @@ devices connected to the PCI bus.
 %patch9 -p1 -b .dird
 %patch10 -p1 -b .sparc
 %patch11 -p1 -b .superh
+%patch12 -p1 -b .arm
 
 sed -i -e 's/^SRC=.*/SRC="http:\/\/pciids.sourceforge.net\/pci.ids"/' update-pciids.sh
 
-- 
1.5.3.3

